
// ------- ATTRIBUTES (VERTEX BUFFER DATA) -------
attribute vec4		attrVertex;
attribute vec4		attrTex0UV;
attribute vec4		attrColor;

// ------- UNIFORMS (SHADER CONSTS) -------
uniform mat4		hu_mPMVMatrix;
uniform mat4		hu_mMMatrix;
uniform vec3		hu_vCameraPos;

// ------- INTERPOLATORS (SHADER OUTPUTS) -------
varying float		v_fTex0U;
varying vec4		v_vColor;

void main(void)
{
	v_fTex0U = attrTex0UV.s;
	v_vColor = attrColor;

	gl_Position = hu_mPMVMatrix*attrVertex;
}
