
// ------- ATTRIBUTES (VERTEX BUFFER DATA) -------
attribute vec4		attrVertex;
//attribute vec4		attrTex0UV;
attribute vec4		attrColor;

// ------- UNIFORMS (SHADER CONSTS) -------
uniform mat4		hu_mPMVMatrix;
uniform mat4		hu_mMMatrix;
uniform vec3		hu_vCameraPos;

// ------- INTERPOLATORS (SHADER OUTPUTS) -------
//varying vec2		varTex0UV;
varying vec4		v_vColor;
varying float		v_fDistToCamera;

void main(void)
{
	vec4 vWorldPos = hu_mMMatrix*attrVertex;
	vec3 vDiff = vWorldPos.xyz - hu_vCameraPos;
	v_fDistToCamera = length(vDiff);

	//varTex0UV = attrTex0UV.st;
	v_vColor = attrColor;

	gl_Position = hu_mPMVMatrix*attrVertex;
}
