
// ------- ATTRIBUTES (VERTEX BUFFER DATA) -------
attribute vec4		attrVertex;
attribute vec4		attrTex0UV;
attribute vec4		attrColor;

// ------- UNIFORMS (SHADER CONSTS) -------
uniform mat4		hu_mPMVMatrix;

// ------- INTERPOLATORS (SHADER OUTPUTS) -------
varying vec2		v_vTex0UV;
varying vec4		v_vColor;
varying vec3		v_vNormal;

void main(void)
{
	gl_Position = hu_mPMVMatrix*attrVertex;
	v_vTex0UV = attrTex0UV.st;
	v_vColor = attrColor;
	v_vNormal = 0.001*attrVertex.xyz;
}
